/*
 * Copyright 2013 Thomas Asel.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package de.thomasasel.jsf.inspector.components;

/**
 * Utility class that encapsules various HTML tags and attributes to enable typesafe respone generation.
 * 
 * @author Thomas Asel
 */
public class HTML {

	public static class TAG {

		public static final String TABLE = "table";
		public  static final String TR = "tr";
		public  static final String TD = "td";
		public  static final String TH = "th";

		public  static final String DIV = "div";

		public  static final String B = "b";
		public  static final String BR = "br";
		public  static final String A = "a";

                public  static final String SCRIPT = "script";

	}

	public static class ATTRIBUTE {

		public static final String CLASS = "class";
		public static final String BORDER = "BORDER";
		public static final String ONCLICK = "onclick";
		public static final String HREF = "href";
		public static final String LANGUAGE = "language";
		public static final String ID = "id";
                
        }

}
